# bloc_provider_setup_app

Just a basic bloc and provider setup with build variants, logging, app exception catch and reporting and atdd already setup. 
Provider requies wrapping the Materila or Cupertino APP so for that bit see the platform design setup.



# Resources

[provder setup](https://medium.com/flutter-community/flutter-provider-v3-architecture-using-proxyprovider-for-injection-62cf5c58ea52)

# Credits

my stuff, Fredirck Grott

# License

BSD Clasue 2 copyright 2019 Fredrick Grott

